Instance Pools - Get
Hiermee haalt u een exemplaargroep op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/instancePools/{instancePoolName}?api-version=2023-08-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
instance
|
path | True |
string |
De naam van de instantiegroep die moet worden opgehaald. |
|
resource
|
path | True |
string |
De naam van de resourcegroep die de resource bevat. U kunt deze waarde verkrijgen via de Azure Resource Manager-API of de portal. |
|
subscription
|
path | True |
string |
De abonnements-id waarmee een Azure-abonnement wordt geïdentificeerd. |
|
api-version
|
query | True |
string |
De API-versie die moet worden gebruikt voor de aanvraag. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De opgegeven exemplaargroep is opgehaald. |
|
| Other Status Codes |
Foutreacties: ***
|
Voorbeelden
Get an instance pool
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/instancePools/testIP?api-version=2023-08-01
Voorbeeldrespons
{
"sku": {
"name": "GP_Gen5",
"tier": "GeneralPurpose",
"family": "Gen5"
},
"properties": {
"subnetId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Network/virtualNetwork/myvnet/subnets/mysubnet1",
"vCores": 8,
"licenseType": "LicenseIncluded",
"dnsZone": "1234567890",
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_MI_1"
},
"location": "japaneast",
"tags": {
"a": "b"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/instancePools/testIP",
"name": "testIP",
"type": "Microsoft.Sql/instancePools"
}
Definities
| Name | Description |
|---|---|
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Instance |
Een Azure SQL-exemplaarpool. |
|
Instance |
Het licentietype. Mogelijke waarden zijn LicenseIncluded (prijs voor SQL-licentie is inbegrepen) en BasePrice (zonder SQL-licentieprijs). |
| Sku |
Een ARM-resource-SKU. |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
InstancePool
Een Azure SQL-exemplaarpool.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource-id. |
| location |
string |
Resourcelocatie. |
| name |
string |
Resourcenaam. |
| properties.dnsZone |
string |
De DNS-zone waarin de pool van het beheerde exemplaar zich bevindt. |
| properties.licenseType |
Het licentietype. Mogelijke waarden zijn LicenseIncluded (prijs voor SQL-licentie is inbegrepen) en BasePrice (zonder SQL-licentieprijs). |
|
| properties.maintenanceConfigurationId |
string (arm-id) |
Hiermee geeft u de onderhoudsconfiguratie-id op die moet worden toegepast op dit beheerde exemplaar. |
| properties.subnetId |
string |
Resource-id van het subnet waarin deze exemplaargroep moet worden geplaatst. |
| properties.vCores |
integer (int32) |
Het aantal vCores dat deel uitmaakt van deze exemplaarpool. |
| sku |
De naam en laag van de SKU. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Resourcetype. |
InstancePoolLicenseType
Het licentietype. Mogelijke waarden zijn LicenseIncluded (prijs voor SQL-licentie is inbegrepen) en BasePrice (zonder SQL-licentieprijs).
| Waarde | Description |
|---|---|
| LicenseIncluded | |
| BasePrice |
Sku
Een ARM-resource-SKU.
| Name | Type | Description |
|---|---|---|
| capacity |
integer (int32) |
Capaciteit van de specifieke SKU. |
| family |
string |
Als de service verschillende generaties hardware heeft, voor dezelfde SKU, kan die hier worden vastgelegd. |
| name |
string |
De naam van de SKU, meestal een letter + cijfercode, bijvoorbeeld P3. |
| size |
string |
Grootte van de specifieke SKU |
| tier |
string |
De laag of editie van de specifieke SKU, bijvoorbeeld Basic, Premium. |